revelation (0.5.5-2) unstable; urgency=medium

  * Update build dependency to gobject-introspection (closes: #1118917).
  * Fix regexp SyntaxWarning with recent Python versions (closes: #1087048).
  * Switch pkg-config dependency to pkgconf.
  * Remove now redundant Rules-Requires-Root value.
  * Refer online version of Free Software Foundation licence.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Oct 2025 18:31:19 +0200

revelation (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Apr 2022 17:53:38 +0200

revelation (0.5.4-3) unstable; urgency=medium

  * Fix i18n.merge_file invocation in meson.build (closes: #1005531).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Feb 2022 09:20:13 +0100

revelation (0.5.4-2) unstable; urgency=medium

  * Backport upstream fix for deprecated initialization.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Oct 2020 12:55:56 +0200

revelation (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the Meson build system.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Oct 2020 17:55:45 +0200

revelation (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Sep 2020 17:39:08 +0200

revelation (0.5.0-1) unstable; urgency=medium

  * New major upstream release (closes: #968477).
  * Switch to short debhelper rules format.
  * Add watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Aug 2020 09:21:26 +0200

revelation (0.4.14-3) unstable; urgency=low

  * Drop unused python-gnome2-desktop-dev build dependency (closes: #790163).
  * Add dh-python to Build-Depends.
  * Make rebuildable.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jun 2015 16:29:14 +0000

revelation (0.4.14-2) unstable; urgency=low

  * Update copyright to 1.0 (DEP5) format and correctly state it's GPL-2+
    licensed (closes: #739822).
  * The PBKDF2 exporter makes FPM2 exporter unnecessary (closes: #575629).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Feb 2014 19:39:39 +0100

revelation (0.4.14-1) unstable; urgency=high

  * New upstream release, changes from FPM exporter to a more secure
    PBKDF2 one. This fixes CVE-2012-3818 (closes:  #678133).
  * Fix packaging mistakes (closes: #724467).
  * Update Standards-Version to 3.9.5 and debhelper level to 9.
  * New maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jan 2014 11:45:41 +0100

revelation (0.4.13-1.2) unstable; urgency=high

  * Non-maintainer upload.
    - Add a new patch to fix CVE-2012-3818 (Closes: #680059). It just disables
      the FPM exporter until it's properly fixep upstream.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 20 Jul 2012 12:12:24 +0200

revelation (0.4.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add python-dbus to Depends
    Closes: #678949

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2012 13:44:17 +0200

revelation (0.4.13-1) unstable; urgency=low

  * New upstream release (Closes: #595702, #551754, #586646, #293720, #269842)
  * Updated patches:
    - 200-icons.dpatch -> 010-icons.patch
  * Removed patches upstream applied:
    - 030_python.dpatch
    - 050_french.dpatch
    - 070_show_passwords.dpatch
    - 080_transparency.dpatch
    - 090_applet_crash.dpatch
    - 100_backup_on_save.dpatch, see https://github.com/mikelolasagasti/revelation/commit/842c009e2553267931d5cceca238e31df32ea31f
    - 110_unquote_file_names.dpatch, see 100_backup_on_save.dpatch,
    - 120_typo_de_translation.dpatch
    - 140_pwsafe.dpatch
    - 150_po.dpatch
    - 160-579540.dpatch
    - 170-escape.dpatch
    - 180-luks.dpatch
    - 190-ru.dpatch
    - 210-625040-fix-export-dynamic.dpatch
    - 220-603572-display-icon-on-start.patch
    - 230-optional-gnomeapplet.patch
    - 240-password-length.patch
  * added new dependencies: python-cracklib python-dbus


 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 28 May 2012 12:19:19 +0200

revelation (0.4.11-10) unstable; urgency=low

  * Acknowledge NMUs
  * debian/patches/240-password-length.patch:
    - Tell user that we only use the first 36 characters of a file encryption
      password (Closes: #633088)

 -- Stefan Völkel <stefan@bc-bd.org>  Sun, 30 Oct 2011 15:59:19 +0100

revelation (0.4.11-9.2) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * debian/patches/230-optional-gnomeapplet.patch:
    - Make the panel applet optional, patch taken from Ubuntu.
   * debian/control:
    - Drop libbonoboui2-0, libbonoboui2-dev, libpanel-applet2-dev,
      python-gnome2-extras-dev build-dependencies
    - Drop python-gnomeapplet dependency (Closes: #638124)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2011 14:35:26 +0200

revelation (0.4.11-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not hardcode Python default versions (Closes: #628852).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:02:23 +0200

revelation (0.4.11-9) unstable; urgency=low

  * Call gcc with -rdynamic instead of --export-dynamic (Closes: #625040)
  * switch to dh_python2 (Closes: #617052)
  * fix missing icon on applet start (Closes: 603572)
  * provide missing edit icon (copy of gedit-icon.xpm) (Closes: #619447)
  * New Standards-Version: 3.9.2 (no changes)

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 02 May 2011 19:53:06 +0200

revelation (0.4.11-8) unstable; urgency=low

  * Reverted to ru.po by Алекс <davian818@gmail.com> to fix missing strings
    (Closes: #579963)
  * Removed unneeded dependency on python-gi (Closes: #597492)

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 20 Sep 2010 11:23:56 +0200

revelation (0.4.11-7) unstable; urgency=low

  * Added missing dependencies to python-gi, python-gnomeapplet and
    python-gobject (>= 2.21.1-2) (to not be affected by #585519)
    (Closes: #585519)
  * New Standards-Version: 3.8.4 (no changes)
  * Update XS-Python-Version and build for python 2.6 (Closes: #586439)
  * Added ru.po by Алекс <davian818@gmail.com> and
    Yuri Kozlov <yuray@komyakino.ru> (Closes: #579963)
  * Fix missing icons (Closes: #578064)
  * Converted to source format quilt

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 21 Jun 2010 15:36:16 +0200

revelation (0.4.11-6) unstable; urgency=low

  * Removed no longer needed auto* patches (Closes: #563914)
  * Added de translation patch from 0.4.11-4ubuntu1
  * Added automake to build dependencies, else autoreconf fails
  * Added pwsafe patch by Stuart Rackham, see LP #120371
  * Added gettext patch, see erikg's bitbuket.org issue #21
  * Added DM-Upload-Allowed: yes
  * Added unset datafile patch (Closes: #579540)
  * Added 170-escape.dpatch to not quite when pressing escape in the
    "Save changes before quitting" dialog.
    Patch by Raúl Gutiérrez Segalés <rgs@paraguayeduca.org>
  * Added 180-luks.dpatch to replace string exceptions.
    Patch by John Lenz <jlenz2@math.uiuc.edu>

 -- Stefan Völkel <stefan@bc-bd.org>  Wed,  3 Jun 2010 18:30:51 +0100

revelation (0.4.11-5) unstable; urgency=low

  * Added VCS information to debian/control
  * Backup file before save (Closes: #524471)
  * urldecode file names (Closes: #518085)
  * fix outdated-autotools-helper-file lintian warning
  * no longer build for python 2.4
  * fix patch-system-but-no-source-readme warning
  * New Standards-Version: 3.8.3
  * fix dh_desktop-is-deprecated warning

 -- Stefan Völkel <stefan@bc-bd.org>  Thu,  4 Jan 2010 15:46:13 +0200

revelation (0.4.11-4) unstable; urgency=low

  * Acknowledge NMU
  * Removed python-gnome2-extras from dependencies, already fixed in
    0.4.11-3.1 but not listed in changelog, see #485298
  * Changed default to not show passwords (Closes: #467029)
  * Remove dependency to python-xml (Closes: #468612)
  * Fixed lintian warning copyright-without-copyright-notice
  * New Standards-Version: 3.8.1
  * Added applet background transparency patch <woutersj@gmail.com>
    (Closes: #506141)
  * Fix applet crash, patch by Joseph Churchill <joseph.churchill@gmail.com>
    (Closes: #518534)

 -- Stefan Völkel <stefan@bc-bd.org>  Fri, 27 Mar 2009 22:57:37 +0100

revelation (0.4.11-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Chris AtLee ]
  * Fix debian/rules and revelation script to not depend on a particular
    version of Python. (Closes: #445415)

  [ Michael Meskes ]
  * Applied patch by Jan Dittberner <jan@dittberner.info> to make revelation
    use cracklib2 binaries. (Closes: #490234)
  * Applied two patches by Olivier Berger <olivier.berger@it-sudparis.eu>:
    - Changed french translation to list placeholder. (Closes: #447189)
    - Fixed crash at save time. (Closes: #474113)
  * Combined two patches to revelation script into one.

 -- Michael Meskes <meskes@debian.org>  Sun, 05 Oct 2008 14:32:51 +0200

revelation (0.4.11-3) unstable; urgency=low

  * Updated to Policy version 3.7.3
  * changed Maintainer email address

 -- Stefan Voelkel <stefan@bc-bd.org>  Sun, 20 Jan 2008 18:05:28 +0100

revelation (0.4.11-2) unstable; urgency=low

  * Fix XHTML exporter, patch by Javier Kohen (Closes: #416015)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Wed, 11 Apr 2007 15:28:08 +0200

revelation (0.4.11-1) unstable; urgency=low

  * New upstream release
  * Moved Source patches do dpatch

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Fri, 19 Jan 2007 16:36:35 +0100

revelation (0.4.7-4) unstable; urgency=low

  * Acknowledged NMU
  * Add dh_shlibdeps do debian/control (Closes: #389587)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Tue, 26 Sep 2006 18:04:05 +0200

revelation (0.4.7-3.1) unstable; urgency=medium
  * Non-maintainer upload to get the Python dependencies straight (closes:
    Bug#384193)

 -- Martin Schulze <joey@infodrom.org>  Tue, 22 Aug 2006 21:13:56 +0200

revelation (0.4.7-3) unstable; urgency=low

  * Integrated NMU by Oleksandr Moskalenko <malex@debian.org>
    (Closes: #377362, #376149, #376322)
  * Integrated NMU by Piotr Ozarowski <ozarow@gmail.com>
  * Updated to latest python policy (Closes: #380935)
    - Convert to python-central
    - Bumped debhelper compatibility level to 5
    - Dependencies updated
    - Added new debian/pycompat file
  * menu's section changed to "Apps/Databases"
  * fix debian/revelation.menu, was broken in 0.4.7-2 (Closes: #380206)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Fri, 21 Jul 2006 16:10:38 +0200

revelation (0.4.7-2.1) unstable; urgency=low

  * NMU with the maintainer's permission to fix the RC bugs.
  * debian/control:
    + Added a build depends on python-gnome2-desktop-dev (Closes: #377362) -
      Thanks to Javier Kohen <jkohen@users.sourceforge.net> for his help.
    + Added a build depends on dpatch to activate the patching system.
  * debian/rules: Added patching rules based on dpatch.
  * debian/patches/01_gnomemisc_override.dpatch: Added a patch that fixes
    gnome applet import (Closes: #376149, #376322) - thanks to Romain
    Chantereau <romain@mezimail.com> for the patch.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 14 Jul 2006 11:44:01 -0600

revelation (0.4.7-2) unstable; urgency=low

  * No longer fail to unlock (Closes: #362941)
  * Remove unneeded gconftool call (Closes: #369859)
  * Alter debian/revelation.menu to reflect new menu structure
  * depend on python-gnome2 instead of python2.3-gnome2
  * New Standards-Version: 3.7.2

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Tue,  6 Jun 2006 18:39:46 +0200

revelation (0.4.7-1) unstable; urgency=low

  * New upstream release 0.4.7 (Closes: #366971, #367578)
  * No longer hangs on missing NFS mounts (Closes: #350741)
  * Changed detection of gnome.vfs (Closes: #340787)
  * Do not copy XML entities to clipboard (Closes: #347269)
  * Changed name of button in edit dialog (Closes: #354870)
  * Fixed file unlocking after laptop sleep (Closes: #350276)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Mon, 30 Jan 2006 18:10:32 +0100

revelation (0.4.5-2) unstable; urgency=low

  * Fix gnome.applet dependency

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Tue, 13 Sep 2005 12:29:27 +0200

revelation (0.4.5-1) unstable; urgency=low

  * New upstream release (Closes: #325019, #327247, #336969)
  * New policy 3.6.2

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Sun, 28 Aug 2005 13:02:29 +0200

revelation (0.4.3-2) unstable; urgency=low

  * Acknowledged NMU

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Mon, 16 May 2005 18:27:10 +0200

revelation (0.4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high due to RC bug fix.
  * etc/gconf/schemas -> usr/share/gconf/schemas (Closes: #306901)
  * gconftool || true (don't fail if gconftool fails, also closes #306901)
  * -$(MAKE) distclean in clean target of debian/rules (Closes: #307764)

 -- Luk Claes <luk@debian.org>  Thu,  5 May 2005 12:54:20 +0200

revelation (0.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #304420)
  * Fixed close one error (Closes: #302644)
  * Changed dependencies (Closes: #300117)
  * Don't crash on missing icons (Closes: #297612)
  * Autolocking (Closes: #269864)
  * Work around crash on amd64 (Closes: #300101)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Thu, 14 Apr 2005 21:25:13 +0200

revelation (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #275162, #275161, #255419, #294259)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Wed,  9 Feb 2005 20:15:07 +0100

revelation (0.3.4-1) unstable; urgency=low

  * New upstream release (Closes: #269866)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Sat,  9 Oct 2004 10:48:34 +0200

revelation (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Changed build-depends (Closes: #259133, #263973)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Tue, 10 Aug 2004 19:29:33 +0200

revelation (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #237480, #237773, #239417)

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Tue,  6 Apr 2004 17:16:49 +0200

revelation (0.2.1-1) unstable; urgency=low

  * removed Umlaut from d/copyright
  * New upstream release
  * Fixed frpm importing, Closes: #238703

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Fri, 19 Mar 2004 10:26:34 +0100

revelation (0.2.0-1) unstable; urgency=low

  * removed /usr/sbin from d/dirs
  * removed Umlaut from control file
  * clean up all files created during build
  * New upstream release

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Fri, 27 Feb 2004 11:20:35 +0100

revelation (0.1.2-2) unstable; urgency=low

  * Fixed build dependencies.
  * Chanded changelog to plain ascii
  * Removed debian/*.ex files
  * Removed debian/revelation.doc-bas.EX, fixes error on installation.

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Sun,  8 Feb 2004 18:52:28 +0100

revelation (0.1.2-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Voelkel <stefan.voelkel@millenux.com>  Thu,  5 Feb 2004 18:10:20 +0100
